clear
clf
%Ponemos todos los tiempos en 1975 y generamos 50 ns aleatorios entre 1975
%y 2025
t_policy_year_init=[1975];
t_air_poll_time_init=[1975];
t_land_fert_time_init=[1975];
t_fcaor_time_init=[1975];
t_zero_pop_grow_time_init=[1975];
t_ind_equil_time_init=[1975];
t_fert_eff_time_init=[1975];
%inicialmente los retrasos son de 5 aos y los ampliamos hasta 20
in_TDD_init=[5];
%Parmetros que cambiamos en las polticas, empezamos por el rango ms bajo
nr_resources_init=[1e12];
p_avg_life_agr_inp_init=[1];
chg_mlt_POLGM_init=[-0.06];
chg_mlt_LYCM_init=[0];
chg_mlt_NRCM_init=[-0.06];
des_fam_size_init=[1];
ind_out_pc_des_init=[350];
p_avg_life_ind_cap_init=[12];
p_avg_life_serv_cap_init=[18];
p_serv_cap_out_ratio_init=[0.5];
num_carr=100;
for k=1:num_carr
    rand('state',sum(100*clock))                    
    %Modificamos los aos de las polticas
    t_policy_year=t_policy_year_init+50*rand;
    t_air_poll_time=t_air_poll_time_init+50*rand;
    t_land_fert_time=t_land_fert_time_init+50*rand;
    t_fcaor_time=t_fcaor_time_init+50*rand;
    t_zero_pop_grow_time=t_zero_pop_grow_time_init+50*rand;
    t_ind_equil_time=t_ind_equil_time_init+50*rand;
    t_fert_eff_time=t_fert_eff_time_init+50*rand;
    in_TDD=in_TDD_init+15*rand;
    %Modificamos ahora los parmetros de las polticas
    %nr_resources va desde 1e12 a 2e12
    nr_resources=nr_resources_init*(1+rand);
    %p_avg_life_agr_in va desde 1 a 3
    p_avg_life_agr_inp=p_avg_life_agr_inp_init*(1+2*rand);
    %chg_mlt_POLGM de -0.06 a 0
    chg_mlt_POLGM=chg_mlt_POLGM_init+0.06*rand;
    %chg_mlt_LYCM de 0 a 0.04
    chg_mlt_LYCM=chg_mlt_LYCM_init+0.04*rand;
    %chg_mlt_NRCM de -0.06 a 0
    chg_mlt_NRCM=chg_mlt_NRCM_init+0.06*rand;
    %des_fam_size de 1 a 3
    des_fam_size=des_fam_size_init*(1+2*rand);
    %ind_out_pc_des de 350 a 700
    ind_out_pc_des=ind_out_pc_des_init+350*rand;
    %p_avg_life_ind_cap de 12 a 16
    p_avg_life_ind_cap=p_avg_life_ind_cap_init+4*rand;
    %p_avg_life_ind_cap de 18 a 22
    p_avg_life_serv_cap=p_avg_life_serv_cap_init+4*rand;
    %p_avg_life_serv_cap de 0.5 a 1.5
    p_serv_cap_out_ratio=p_serv_cap_out_ratio_init+rand;
    %x29 se usa para comparar los recursos restantes con los recursos
    %iniciales
    x29=nr_resources;
    %Y ahora lanzamos la simulacin
    
    %Guardamos los timpos en vectores
    in_tpy(k)=t_policy_year;
    in_tiet(k)=t_ind_equil_time;
    in_tfct(k)=t_fcaor_time;
    in_tapt(k)=t_air_poll_time;
    in_tlft(k)=t_land_fert_time;
    in_tzpgt(k)=t_zero_pop_grow_time;
    in_tfet(k)=t_fert_eff_time;
    in_in_TDD(k)=in_TDD;
    %Guardamos las otras variables en vectores
    
    in_nr(k)=nr_resources;    
    in_palai(k)=p_avg_life_agr_inp;
    in_POLGM(k)=chg_mlt_POLGM;
    in_NRCM(k)=chg_mlt_NRCM;
    in_LYCM(k)=chg_mlt_LYCM;
    in_dfs(k)=des_fam_size;
    in_iopd(k)=ind_out_pc_des; 
    in_palic(k)=p_avg_life_ind_cap;
    in_palsc(k)=p_avg_life_serv_cap;
    in_pscor(k)=p_serv_cap_out_ratio;
    
    sim('simuworld3');
    HEF_store(:,k)=HEF;
end
for tt=1:length(HEF)
  correlation_01=corrcoef(HEF_store(tt,:), in_tpy);
  correlation_02=corrcoef(HEF_store(tt,:), in_tiet);
  correlation_03=corrcoef(HEF_store(tt,:), in_tfct);
  correlation_04=corrcoef(HEF_store(tt,:), in_tapt);
  correlation_05=corrcoef(HEF_store(tt,:), in_tlft);
  correlation_06=corrcoef(HEF_store(tt,:), in_tzpgt);
  correlation_07=corrcoef(HEF_store(tt,:), in_tfet);
  correlation_08=corrcoef(HEF_store(tt,:), in_in_TDD);
  %--
  correlation_09=corrcoef(HEF_store(tt,:), in_nr);
  correlation_10=corrcoef(HEF_store(tt,:), in_palai);
  correlation_11=corrcoef(HEF_store(tt,:), in_POLGM);
  correlation_12=corrcoef(HEF_store(tt,:), in_NRCM);
  correlation_13=corrcoef(HEF_store(tt,:), in_LYCM);
  correlation_14=corrcoef(HEF_store(tt,:), in_dfs);
  correlation_15=corrcoef(HEF_store(tt,:), in_iopd);
  correlation_16=corrcoef(HEF_store(tt,:), in_palic);
  correlation_17=corrcoef(HEF_store(tt,:), in_palsc);
  correlation_18=corrcoef(HEF_store(tt,:), in_pscor);
  %--
  val_corr01(1)=0;
  val_corr02(1)=0;
  val_corr03(1)=0;
  val_corr04(1)=0;
  val_corr05(1)=0;
  val_corr06(1)=0;
  val_corr07(1)=0;
  val_corr08(1)=0;
  val_corr09(1)=0;
  val_corr10(1)=0;
  val_corr11(1)=0;
  val_corr12(1)=0;
  val_corr13(1)=0;
  val_corr14(1)=0;
  val_corr15(1)=0;
  val_corr16(1)=0;
  val_corr17(1)=0;
  val_corr18(1)=0;
  if tt>1
        val_corr01(tt)=correlation_01(1,2);
        val_corr02(tt)=correlation_02(1,2);
        val_corr03(tt)=correlation_03(1,2);
        val_corr04(tt)=correlation_04(1,2);
        val_corr05(tt)=correlation_05(1,2);
        val_corr06(tt)=correlation_06(1,2);
        val_corr07(tt)=correlation_07(1,2);
        val_corr08(tt)=correlation_08(1,2);
        val_corr09(tt)=correlation_09(1,2);
        val_corr10(tt)=correlation_10(1,2);
        val_corr11(tt)=correlation_11(1,2);
        val_corr12(tt)=correlation_12(1,2);
        val_corr13(tt)=correlation_13(1,2);
        val_corr14(tt)=correlation_14(1,2);
        val_corr15(tt)=correlation_15(1,2);
        val_corr16(tt)=correlation_16(1,2);
        val_corr17(tt)=correlation_17(1,2);
        val_corr18(tt)=correlation_18(1,2);
    end
end
figure
plot(time, val_corr01,'g',time, val_corr02,'k', time, val_corr03,'r',time, val_corr04,'b',time, val_corr05,'m',time, val_corr06,'y',...
    time, val_corr07,'c')
legend('t policy year','t ind equil time','t fcaor time','t air poll time','t land fert time','t zero pop grow time','t fert eff time',...
    'in TDD','Location','NorthEastOutside');
title('Coeficientes de correlacin entre Tiempo aplicacin de polticas y Huella ecolgica');
xlabel('Time');
ylabel('Correlations');
hold on
grid on
%--
figure
plot(time, val_corr09,'g',time, val_corr10,'k', time, val_corr11,'r',time, val_corr12,'b',time, val_corr13,'m',time, val_corr14,'y',...
    time, val_corr15,'c',time, val_corr16,'g--',time, val_corr17,'k--',time, val_corr18,'r--')
legend('nr resources','p avg life agr inp','chg mlt POLGM','chg mlt NRCM','chg mlt LYCM','des fam size','ind out pc des',...
    'p avg life ind cap','p avg life serv cap','p serv cap out ratio','Location','NorthEastOutside');
title('Coeficientes de correlacin entre Cambios en la asignacin de recursos y Huella ecolgica');
xlabel('Time');
ylabel('Correlations');
hold on
grid on
