clear
%Ponemos todos los tiempos en 4000 para la simulacion del escenario1 y los
%vamos cambiando segn el escenario que queramos recrear
t_policy_year=[4000];
t_air_poll_time=[4000];
t_land_fert_time=[4000];
t_fcaor_time=[4000];
t_zero_pop_grow_time=[4000];
t_ind_equil_time=[4000];
t_fert_eff_time=[4000];
%inicialmente los retrasos son de 20 aos
in_TDD=[20];
%Parmetros que cambiamos en las polticas
nr_resources=[1e12];
p_avg_life_agr_inp=[2];
chg_mlt_POLGM=[0];
chg_mlt_LYCM=[0];
chg_mlt_NRCM=[0];
des_fam_size=[2];
ind_out_pc_des=[400];
p_avg_life_ind_cap=[14];
p_avg_life_serv_cap=[20];
p_serv_cap_out_ratio=[1];
%x29 se usa para comparar los recursos restantes con los recursos iniciales
x29=nr_resources;
sim('simuworld3');
figure
plot(time, population_1/1.2e10,'k',time, food/6e12,'g', time, industrial_output/4e12,'b',time, ppoll_index/40,'r',time, nr_resources/2e12,'y');
AXIS([1900 2100 0 1])
TITLE('State of world')
grid on
%--
figure
plot(time, food_pc/1000,'g',time, cons_ind_out_pc/250,'b', time, serv_out_pc/1000,'m',time, life_expectancy/90,'y');
AXIS([1900 2100 0 1])
TITLE('Material Standard') 
grid on
%--
figure
plot(time, HEF/4,'r',time, HWI/1,'g');
AXIS([1900 2100 0 1])
TITLE('Welfare, Footprint')
grid on
%--
figure
plot(time, nr_res_use_rate/2.4e10,'r',time, ppoll_gen_rt/1.2e9,'b',time, land_fert_degr/100,'m',time, land_erosion_rt/4e7,'g',time, land_rem_urb_ind_use/4e7,'y');
AXIS([1900 2100 0 1])
TITLE('Withdrawals from environment')
grid on
%--
figure
plot(time, s_land_yield_fact/4,'g',time, s_nr_res_use_fact/1,'m',time, s_ppoll_gen_fact/1,'r',time, s_ind_cap_out_ratio/6,'b');
AXIS([1900 2100 0 1])
TITLE('Technology')
grid on
%--
figure
plot(time, res_intens/0.01,'m',time, poll_intens_ind/2e-4,'r',time, land_yield/6000,'g',time, fert_cont_eff/1,'y',time, s_ind_cap_out_ratio/6,'b');
AXIS([1900 2100 0 1])
TITLE('Effects of Technology')
grid on
%--
figure
plot(time, land_fertility/600,'m',time, agr_inp_per_hect/200,'r',time, land_yield/4000,'g',time, s_yield_mlt_air_poll/1,'y',time, lifet_mlt_food/2,'b');
AXIS([1900 2100 0 1])
TITLE('Agriculture')
grid on
%--
figure
plot(time, fioa_ind/0.44,'b',time, s_fioa_agr/0.44,'g',time, s_fioa_cons/0.44,'m',time, s_fioa_serv/0.44,'k',time, s_fr_cap_al_obt_res/1,'y');
AXIS([1900 2100 0 1])
TITLE('Allocation of output')
grid on
%------
d=[time, HEF, HWI]
 xlswrite('simuworld3.xls', d, 'Datos', 'A1')
