clear
clf
%Ponemos todos los tiempos en 1975 y generamos 50 ns aleatorios entre 1975
%y 2025
t_policy_year_init=[1975];
t_air_poll_time_init=[1975];
t_land_fert_time_init=[1975];
t_fcaor_time_init=[1975];
t_zero_pop_grow_time_init=[1975];
t_ind_equil_time_init=[2015];
t_fert_eff_time_init=[1975];
%inicialmente los retrasos son de 5 aos y los ampliamos hasta 20
in_TDD_init=[5];
%Parmetros que cambiamos en las polticas, empezamos por el rango ms bajo
nr_resources_init=[1e12];
p_avg_life_agr_inp_init=[1];
chg_mlt_POLGM_init=[-0.06];
chg_mlt_LYCM_init=[0];
chg_mlt_NRCM_init=[-0.06];
des_fam_size_init=[1];
ind_out_pc_des_init=[350];
p_avg_life_ind_cap_init=[12];
p_avg_life_serv_cap_init=[18];
p_serv_cap_out_ratio_init=[0.5];
num_carr=25;
max_HEF_store = zeros(1,num_carr)
%in_POLGM_store =zeros(1,num_carr)
for k=1:num_carr
    rand('state',sum(100*clock))                    
    %Modificamos los aos de las polticas
    t_policy_year=t_policy_year_init+50*rand;
    t_air_poll_time=t_air_poll_time_init+50*rand;
    t_land_fert_time=t_land_fert_time_init+50*rand;
    t_fcaor_time=t_fcaor_time_init+50*rand;
    t_zero_pop_grow_time=t_zero_pop_grow_time_init+50*rand;
    t_ind_equil_time=t_ind_equil_time_init;
    t_fert_eff_time=t_fert_eff_time_init+50*rand;
    in_TDD=in_TDD_init+15*rand;
    %Modificamos ahora los parmetros de las polticas
    %nr_resources va desde 1e12 a 2e12
    nr_resources=nr_resources_init*(1+rand);
    %p_avg_life_agr_in va desde 1 a 3
    p_avg_life_agr_inp=p_avg_life_agr_inp_init*(1+2*rand);
    %chg_mlt_POLGM de -0.06 a 0
    chg_mlt_POLGM=chg_mlt_POLGM_init+0.06*rand;
    %chg_mlt_LYCM de 0 a 0.04
    chg_mlt_LYCM=chg_mlt_LYCM_init+0.04*rand;
    %chg_mlt_NRCM de -0.06 a 0
    chg_mlt_NRCM=chg_mlt_NRCM_init+0.06*rand;
    %des_fam_size de 1 a 3
    des_fam_size=des_fam_size_init*(1+2*rand);
    %ind_out_pc_des de 350 a 700
    ind_out_pc_des=ind_out_pc_des_init+350*rand;
    %p_avg_life_ind_cap de 12 a 16
    p_avg_life_ind_cap=p_avg_life_ind_cap_init+4*rand;
    %p_avg_life_ind_cap de 18 a 22
    p_avg_life_serv_cap=p_avg_life_serv_cap_init+4*rand;
    %p_avg_life_serv_cap de 0.5 a 1.5
    p_serv_cap_out_ratio=p_serv_cap_out_ratio_init+rand;
    %x29 se usa para comparar los recursos restantes con los recursos
    %iniciales
    x29=nr_resources;
    %Y ahora lanzamos la simulacin
    
    sim('simuworld3');
    
    max_HEF=max(HEF);
    max_HEF_store(1,k)=max_HEF;
    in_ind_out_pc_des=ind_out_pc_des;
    in_ind_out_pc_des_store(1,k)= in_ind_out_pc_des;
    
    plot(ind_out_pc_des, max_HEF,'o');


% Set the viewing angle and the axis limits

axis([350 700 0 6]);

% Add title and axis labels
xlabel('ind out pc des');

ylabel('max HEF');
title('Limite del consumo deseado de produccin industrial VS max HEF con cambios en 1995');
hold on
grid on


end
rectaX=polyfit(in_ind_out_pc_des_store, max_HEF_store,1)
xpol=linspace(350,700,100);
ypol=polyval(rectaX,xpol);
plot(xpol,ypol);
